program henon1
      integer :: m,n,i
      real :: x0,y0,x1,y1,a,b
      intrinsic sqrt
      a=-0.2; b=0.3 !パラメタ
      m=100    
      n=100
      open(9,file="kidou_henonx_keiryouka.data")
      open(10,file="kidou_henony_keiryouka.data")
    do while(a <= 1.6)
      x0=0.0
      y0=0.0
      do i=1,m
        x1=y0+1-a*x0*x0
        y1=b*x0
        x0=x1
        y0=y1
      end do
      do i=1,n
        x1=y0+1-a*x0*x0
        y1=b*x0
        write(9,*)a,x1
        write(10,*)a,y1
        x0=x1
        y0=y1
      end do
      a=a+0.001
    end do
      endfile(9)
      endfile(10)
end program henon1
